Package org.apache.sysds.runtime.io

# Class InputOutputInfo

java.lang.Object
org.apache.sysds.runtime.io.InputOutputInfo

All Implemented Interfaces:
  `Serializable`

public class InputOutputInfo extends Object implements Serializable

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final InputOutputInfo`
`BinaryBlockFrameInputOutputInfo`
`static final InputOutputInfo`
`BinaryBlockInputOutputInfo`
`static final InputOutputInfo`
`BinaryBlockTensorInputOutputInfo`
`static final InputOutputInfo`
`CompressedInputOutputInfo`
`static final InputOutputInfo`
`CSVInputOutputInfo`
`static final InputOutputInfo`
`HDF5InputOutputInfo`
`Class<? extends org.apache.hadoop.mapred.InputFormat>`
`inputFormatClass`
`Class<? extends org.apache.hadoop.io.Writable>`
`keyClass`
`static final InputOutputInfo`
`LIBSVMInputOutputInfo`
`static final InputOutputInfo`
`MatrixMarketInputOutputInfo`
`MetaData`
`metadata`
`Class<? extends org.apache.hadoop.mapred.OutputFormat>`
`outputFormatClass`
`static final InputOutputInfo`
`TextCellInputOutputInfo`
`Class<? extends org.apache.hadoop.io.Writable>`
`valueClass`

## Constructor Summary

Constructors
Constructor
Description
`InputOutputInfo(Class<? extends org.apache.hadoop.mapred.InputFormat> formatClsIn, Class<? extends org.apache.hadoop.mapred.OutputFormat> formatClsOut, Class<? extends org.apache.hadoop.io.Writable> keyCls, Class<? extends org.apache.hadoop.io.Writable> valueCls)`

## Method Summary

Modifier and Type
Method
Description
`static InputOutputInfo`
`get(Types.DataType dt, Types.FileFormat fmt)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### inputFormatClass

public Class<? extends org.apache.hadoop.mapred.InputFormat> inputFormatClass

### outputFormatClass

public Class<? extends org.apache.hadoop.mapred.OutputFormat> outputFormatClass

### keyClass

public Class<? extends org.apache.hadoop.io.Writable> keyClass

### valueClass

public Class<? extends org.apache.hadoop.io.Writable> valueClass

### metadata

public MetaData metadata

### TextCellInputOutputInfo

public static final InputOutputInfo TextCellInputOutputInfo

### MatrixMarketInputOutputInfo

public static final InputOutputInfo MatrixMarketInputOutputInfo

### BinaryBlockInputOutputInfo

public static final InputOutputInfo BinaryBlockInputOutputInfo

### BinaryBlockFrameInputOutputInfo

public static final InputOutputInfo BinaryBlockFrameInputOutputInfo

### BinaryBlockTensorInputOutputInfo

public static final InputOutputInfo BinaryBlockTensorInputOutputInfo

### CSVInputOutputInfo

public static final InputOutputInfo CSVInputOutputInfo

### LIBSVMInputOutputInfo

public static final InputOutputInfo LIBSVMInputOutputInfo

### HDF5InputOutputInfo

public static final InputOutputInfo HDF5InputOutputInfo

### CompressedInputOutputInfo

public static final InputOutputInfo CompressedInputOutputInfo

## Constructor Details

### InputOutputInfo

public InputOutputInfo(Class<? extends org.apache.hadoop.mapred.InputFormat> formatClsIn, Class<? extends org.apache.hadoop.mapred.OutputFormat> formatClsOut, Class<? extends org.apache.hadoop.io.Writable> keyCls, Class<? extends org.apache.hadoop.io.Writable> valueCls)

## Method Details

### get

public static InputOutputInfo get(Types.DataType dt, Types.FileFormat fmt)